package com.cloudcross.ssp.service;

import java.util.List;

import com.cloudcross.ssp.base.service.IGenericService;
import com.cloudcross.ssp.model.WifiGroup;

/**
 * 
 *
 * 类名称：IWifiGroupService
 * 类描述：IWifiGroupService接口
 * 创建人：zhoujun
 * 修改人：zhoujun
 * 修改时间：2015年11月19日 下午12:32:57
 * 修改备注：
 * @version 1.0.0
 *
 */
public interface IWifiGroupService extends IGenericService<WifiGroup>{
	public boolean updateStatusById(Long id, int status);
	public boolean addWifiToGroup(List<Long>wifiIdList,WifiGroup wifiGroup);
	public List<Long> queryWifiIdByGroupId(Long groupId);
}
