<?xml version="1.0"?>
<?mso-application progid="Excel.Sheet"?>
<Workbook xmlns="urn:schemas-microsoft-com:office:spreadsheet"
 xmlns:o="urn:schemas-microsoft-com:office:office"
 xmlns:x="urn:schemas-microsoft-com:office:excel"
 xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet"
 xmlns:html="http://www.w3.org/TR/REC-html40">
 <DocumentProperties xmlns="urn:schemas-microsoft-com:office:office">
  <Author>adnetwork</Author>
  <LastAuthor>adnetwork</LastAuthor>
  <Created>2014-10-15T06:05:44Z</Created>
  <Version>14.00</Version>
 </DocumentProperties>
 <OfficeDocumentSettings xmlns="urn:schemas-microsoft-com:office:office">
  <AllowPNG/>
 </OfficeDocumentSettings>
 <ExcelWorkbook xmlns="urn:schemas-microsoft-com:office:excel">
  <WindowHeight>5130</WindowHeight>
  <WindowWidth>16155</WindowWidth>
  <WindowTopX>240</WindowTopX>
  <WindowTopY>45</WindowTopY>
  <ProtectStructure>False</ProtectStructure>
  <ProtectWindows>False</ProtectWindows>
 </ExcelWorkbook>
 <Styles>
  <Style ss:ID="Default" ss:Name="Normal">
   <Alignment ss:Vertical="Center"/>
   <Borders/>
   <Font ss:FontName="宋体" x:CharSet="134" ss:Size="11" ss:Color="#000000"/>
   <Interior/>
   <NumberFormat/>
   <Protection/>
  </Style>
  <Style ss:ID="s63" ss:Name="超链接">
   <Font ss:FontName="宋体" x:CharSet="134" ss:Size="11" ss:Color="#0000FF"
    ss:Underline="Single"/>
  </Style>
  <Style ss:ID="s65">
   <NumberFormat ss:Format="Short Date"/>
  </Style>
  <Style ss:ID="s66">
   <NumberFormat ss:Format="0%"/>
  </Style>
 </Styles>
 <Worksheet ss:Name="Sheet1">
  <Table ss:ExpandedColumnCount="${column!}" ss:ExpandedRowCount="<#if dataSize??>${dataSize+2}<#else>2</#if>" x:FullColumns="1"
   x:FullRows="1" ss:DefaultColumnWidth="54" ss:DefaultRowHeight="13.5">
   <Column ss:AutoFitWidth="0" ss:Width="114"/>
   <Column ss:AutoFitWidth="0" ss:Width="95.25"/>
   <Column ss:AutoFitWidth="0" ss:Width="93" ss:Span="1"/>
   <Column ss:Index="5" ss:AutoFitWidth="0" ss:Width="74.25"/>
   <Column ss:Width="63"/>
   <Row>
    <Cell ss:MergeAcross="9"><Data ss:Type="String">开始日期：${startDate!}    结束日期：${endDate!}</Data></Cell>
   </Row>
   <Row>
   		<#if size??><Cell><Data ss:Type="String">尺寸</Data></Cell></#if>
   		<#if position??><Cell><Data ss:Type="String">位置</Data></Cell></#if>
   		<#if system??><Cell><Data ss:Type="String">系统</Data></Cell></#if>
   		<#if device??><Cell><Data ss:Type="String">类型</Data></Cell></#if>
   		<#if location??><Cell><Data ss:Type="String">地域</Data></Cell></#if>
   		<#if place??><Cell><Data ss:Type="String">场景</Data></Cell></#if>
   		<#if apmac??><Cell><Data ss:Type="String">热点</Data></Cell></#if>
	    <Cell><Data ss:Type="String">流量占比</Data></Cell>
	   	<Cell><Data ss:Type="String">PV</Data></Cell>
	    <Cell><Data ss:Type="String">UV</Data></Cell>
	    <Cell><Data ss:Type="String">广告曝光数</Data></Cell>
	     <Cell><Data ss:Type="String">广告唯一曝光数</Data></Cell>
	    <Cell><Data ss:Type="String">广告填充率</Data></Cell>
	   	<Cell><Data ss:Type="String">广告点击数</Data></Cell>
	   	<Cell><Data ss:Type="String">广告唯一点击数</Data></Cell>
	    <Cell><Data ss:Type="String">广告点击率</Data></Cell>
	    <Cell><Data ss:Type="String">eCPM</Data></Cell>
	    <Cell><Data ss:Type="String">收入</Data></Cell>
   </Row>
<#if dataList ??>
     <#list dataList as deliverAnalysis>   
		   <Row>
		   	<#if apmac??><Cell><Data ss:Type="String">${deliverAnalysis.apmac!}</Data></Cell></#if>
		   	<#if size??><Cell><Data ss:Type="String">${deliverAnalysis.width!}×${deliverAnalysis.height!}</Data></Cell></#if>
   			<#if position??><Cell><Data ss:Type="String"><#if deliverAnalysis.position==1>认证<#elseif deliverAnalysis.position==2>跳转<#elseif deliverAnalysis.position==3>上网过程</#if></Data></Cell></#if>
   			<#if system??><Cell><Data ss:Type="String"><#if deliverAnalysis.system==1>windows<#elseif deliverAnalysis.system==2>ios<#elseif deliverAnalysis.system==3>android<#elseif deliverAnalysis.system==4>mac<#elseif deliverAnalysis.system==5>wp<#elseif deliverAnalysis.system==6>other</#if></Data></Cell></#if>
   			<#if device??><Cell><Data ss:Type="String"><#if deliverAnalysis.device==1>网页<#else>app</#if></Data></Cell></#if>
   			<#if location??><Cell><Data ss:Type="String">${deliverAnalysis.cn_city!}</Data></Cell></#if>
   			<#if place??><Cell><Data ss:Type="String">${deliverAnalysis.place!}</Data></Cell></#if>
	    	<Cell><Data ss:Type="String">${deliverAnalysis.viewRate!}%</Data></Cell>
	   		<Cell><Data ss:Type="String">${deliverAnalysis.pv!}</Data></Cell>
	    	<Cell><Data ss:Type="String">${deliverAnalysis.uv!}</Data></Cell>
	    	<Cell><Data ss:Type="String">${deliverAnalysis.impression!}</Data></Cell>
	    	<Cell><Data ss:Type="String">${deliverAnalysis.uImpression!}</Data></Cell>
	    	<Cell><Data ss:Type="String">${deliverAnalysis.fillRate!}</Data></Cell>
	   		<Cell><Data ss:Type="String">${deliverAnalysis.click!}</Data></Cell>
	   		<Cell><Data ss:Type="String">${deliverAnalysis.uClick!}</Data></Cell>
	    	<Cell><Data ss:Type="String">${deliverAnalysis.clickRate!}</Data></Cell>
	    	<Cell><Data ss:Type="String">${deliverAnalysis.eCpm!}</Data></Cell>
	    	<Cell><Data ss:Type="String">${deliverAnalysis.income!}</Data></Cell>
		   </Row>
	 </#list>
  </#if>   
  </Table>
  <WorksheetOptions xmlns="urn:schemas-microsoft-com:office:excel">
   <PageSetup>
    <Header x:Margin="0.3"/>
    <Footer x:Margin="0.3"/>
    <PageMargins x:Bottom="0.75" x:Left="0.7" x:Right="0.7" x:Top="0.75"/>
   </PageSetup>
   <Selected/>
   <Panes>
    <Pane>
     <Number>3</Number>
     <ActiveRow>7</ActiveRow>
     <ActiveCol>8</ActiveCol>
    </Pane>
   </Panes>
   <ProtectObjects>False</ProtectObjects>
   <ProtectScenarios>False</ProtectScenarios>
  </WorksheetOptions>
 </Worksheet>
</Workbook>
