<@override name="head">
<title>活动信息修改记录</title>
<script type="text/javascript" src="${ctx}/assets/js/common/table.js"></script>
</@override> 
<@override name="body">
<div id=content_bg>
	<#include "/advertiser/main/public-head.ftl">
    <div id="pagecontent">
   		<div id="content">
   			<div id="navDiv">
				<ul id="navDiv_ul">
					<li><i class="icon-home"></i></li>
					<li><a href="${ctx}/advertiser/main/dashboard">首页</a></li>
					<li><i class="icon-angle-right"></i></li>
					<#if role == "agent">
					<li><a href="${ctx}/advertiser/main/ad/advertiser/list">广告主管理</a></li>
					<li><i class="icon-angle-right"></i></li>
					</#if>
					<li><a href="${ctx}/advertiser/main/ad/order/list?advertiserId=${advertiserId!}">订单管理</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li><a href="${ctx}/advertiser/main/ad/target/campaign/list?orderId=${orderId!}&advertiserId=${advertiserId!}">活动管理</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li class="navDiv_currentLi">活动信息修改记录</li>
				</ul>  
 			</div>
 			<form id="myform" action="${ctx}/advertiser/main/ad/target/campaign/update?campaignId=${campaignId!}&advertiserId=${advertiserId!}" method="post">
 				<input id="page" type="hidden" name="page" value="${pager.page}"/>
 				<input id="orderId" type="hidden" name="orderId" value="${orderId!}"/>
				<table border="1" class="tableFig tableUpdate">
					<thead>
						<tr class="theadTr">
			                <th class="theadTh" style="width:15%;">变更时间</th>
			                <th class="theadTh" style="width:10%;">操作人</th>
			                <th class="theadTh" style="width:15%;">登录IP</th>
			                <th class="theadTh" style="width:10%;">操作类型</th>
			                <th class="theadTh" style="width:30%;">变更详情</th>
			            </tr> 
					</thead>
					<tbody>
						<#if logList ??>
						<#list logList as log>
							<tr id="tbodyTr">
								<td class="tbodyTd">${log.operTime?datetime!}</td>
								<td class="tbodyTd">${log.userRealName!}</td>
								<td class="tbodyTd">${log.userIp!}</td>
								<td class="tbodyTd">${log.actionType!}</td>
								<td class="tbodyTd">${log.action!}</td>
							</tr>
						</#list>
						</#if>
					</tbody>
				</table>
				<div id="exportReport">
					<a id="exportExcel" class="btn_export" href="${ctx}/advertiser/main/ad/target/campaign/exportLogExcel?campaignId=${campaignId!}">导出Excel</a>
					<a class="btn-back" href="${ctx}/advertiser/main/ad/target/campaign/list?orderId=${orderId!}&advertiserId=${advertiserId!}">返回</a>
				</div>
				<div id="pageDiv">
					<#include "/common/pagination/simple.ftl"/>
				</div>
			</form>
		</div>
	</div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>