<@override name="head">
<title>创建创意</title>
<script type="text/javascript" src="${ctx}/assets/js/lib/bootstrap.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/bootbox.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/jquery.ui.widget.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/jquery.iframe-transport.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/jquery.fileupload.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/common/table.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/advertiser/adBanner.js"></script>
</@override> 
<@override name="body">
<div id=content_bg>
	<#include "/advertiser/main/public-head.ftl">
    <div id="pagecontent">
   		<div id="content">
   			<div id="navDiv">
				<ul id="navDiv_ul">
					<li><i class="icon-home"></i></li>
					<li><a href="${ctx}/advertiser/main/dashboard">首页</a></li>
					<li><i class="icon-angle-right"></i></li>
					<#if role == "agent">
					<li><a href="${ctx}/advertiser/main/ad/advertiser/list">广告主管理</a></li>
					<li><i class="icon-angle-right"></i></li>
					</#if>
					<li><a href="${ctx}/advertiser/main/ad/order/list?advertiserId=${advertiserId!}">订单管理</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li><a href="${ctx}/advertiser/main/ad/target/campaign/list?orderId=${orderId!}&advertiserId=${advertiserId!}">活动管理</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li><a href="${ctx}/advertiser/main/ad/target/ad-group/list?campaignId=${campaignId!}&orderId=${orderId!}&advertiserId=${advertiserId!}">投放管理</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li><a href="${ctx}/advertiser/main/ad/target/ad/list?adGroupId=${adGroupId!}&campaignId=${campaignId!}&orderId=${orderId!}&advertiserId=${advertiserId!}">创意管理</a></li>
					<li><i class="icon-angle-right"></i></li>
				    <li class="navDiv_currentLi">创建创意</li>
				</ul>  
 			</div>
 			<form id="myform" action="${ctx}/advertiser/main/ad/target/create-banner/list?adGroupId=${adGroupId!}" method="post">
			   	<input type="hidden" id="adGroupId" value="${adGroupId!}"/>
   				<input type="hidden" id="campaignId" value="${campaignId!}"/>
   				<input type="hidden" id="orderId" value="${orderId!}"/>
   				<input type="hidden" id="advertiserId" value="${advertiserId!}"/>
   				<input id="bannerObjs" type=hidden name="bannerObjs" value=""/>
			    <div id="navButtons">
					<div id="button">					
						<a href="${ctx}/advertiser/main/ad/target/clone-banner?adGroupId=${adGroupId!}" class="btn2">从创意中心选择</a>
						<a class="btn2" id="all-btn-upload">批量上传创意</a>
						<input type="file" id="all-input-file" multiple="mltiple"/>
						<a class="btn2" id="btn-delete-create">批量删除</a>
					</div>
					<div id="searchValueDiv">
						<input type="hidden" id="page" name="page" value="${pager.page}"/>
						<input id="searchValue" type="text" name="searchValue" value="${searchValue!}" tabindex="1"/>
						<input id="serachData_img" type="submit" value=""/>
					</div>
				</div>
				<table border="1" class="tableFig">
					<thead>
						<tr class="theadTr">
			            	<th class="theadTh" style="width:5%;"><div class="checkboxStyleTh"></div></th>
			                <th class="theadTh" style="width:5%;">ID</th>
			                <th class="theadTh" style="width:12%;">创意</th>
			                <th class="theadTh" style="width:10%;">创意名称</th>
			                <th class="theadTh" style="width:6%;">尺寸</th>
			                <th class="theadTh" style="width:6%;">类型</th>
			                <th class="theadTh" style="width:12%;">上传时间</th>
			                <th class="theadTh" style="width:30%;">地址代码</th>
			            </tr> 
					</thead>
					<tbody>
						<#if createBannerList ??>
						<#list createBannerList as crb>
							<tr id="tbodyTr">
								<td class="tbodyTd"><div class="checkboxStyleTd" id="${crb.id!}"></div></td>
								<td class="tbodyTd">${crb.id!}</td>
								<td class="tbodyTd"><img src="${crb.bannerTemplate.pathSmall!}"/></td>
								<td class="tbodyTd">${crb.bannerTemplate.name!}</td>
								<td class="tbodyTd">${crb.bannerTemplate.width!}x${crb.bannerTemplate.height!}</td>
								<td class="tbodyTd"><#if crb.bannerTemplate.type==1>视频<#else>非视频</#if></td>
								<td class="tbodyTd">${crb.updated!?datetime}</td>
								<td class="tbodyTd">
									<input type=hidden name="id" value="${crb.id!}"/>
									<input type=hidden name="name" value="${crb.bannerTemplate.name!}"/>
									<div class="input-group-td" id="input-group-td-first"><span>到达地址：</span><input type="text" class="input-text" name="visitAddress" value="${crb.visitAddress!}"/></div>
									<div class="input-group-td"><span>点击地址：</span><input type="text" class="input-text" name="clickAddress" value="${crb.clickAddress!}"/></div>
									<div class="input-group-td"><span>曝光地址：</span><input type="text" class="input-text" name="impressionAddress" value="${crb.impressionAddress!}"/></div>
								</td>
							</tr>
						</#list>
						<#if createBannerList?size==0>
	                   	<tr id="tbodyTr">
	                   		<td class="tbodyTd" colspan="9">
	                            <label><span>创意中心没有创意，请先去创意中心创建创意</span></label>
	                       	</td>
	                  	</tr>
	                	</#if>
						</#if>
					</tbody>
				</table>
				<div id="exportReport">
					<a id="btn-save" class="btn_export" onclick="createSaveBanner()">保存</a>
					<a id="btn-cancel" class="btn-back" href="${ctx}/advertiser/main/ad/target/ad/list?adGroupId=${adGroupId!}&campaignId=${campaignId!}&orderId=${orderId!}&advertiserId=${advertiserId!}">取消</a>
				</div>
				<div id="pageDiv">
					<#include "/common/pagination/simple.ftl"/>
				</div>
			</form>
		</div>
	</div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>