<@override name="head">	
<title>媒体自投</title>
<link rel="stylesheet" href="${ctx}/assets/css/daterangepicker.css"/>
<link rel="stylesheet" href="${ctx}/assets/css/time_adGroup.css"/>
<link rel="stylesheet" href="${ctx}/assets/css/wifi.css"/>
<link rel="stylesheet" href="${ctx}/assets/css/style.css">
<link rel="stylesheet" href="${ctx}/assets/css/geo.css">
<script type="text/javascript" src="${ctx}/assets/js/lib/bootstrap.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/bootbox.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/moment.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/jquery.daterangepicker.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/jquery.daterangepicker1.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/jquery.common.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/jquery.geo.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/areas_popup.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/jquery-ui-1.10.4.custom.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/jquery.cxselect.js"></script>
<script type="text/javascript" src="http://webapi.amap.com/maps?v=1.3&key=2767a619003d806b2dba379e3e023dfd"></script> 
<script type="text/javascript" src="${ctx}/assets/js/common/validate.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/wifi.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/advertiser/operatoradGroup.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/common/table.js"></script>
</@override>	
<@override name="body">
<div id=content_bg>
 	<#include "/advertiser/main/public-head.ftl"/>
	<div id= "pagecontent">
		<div id="content">
	   		<div id="navDiv">
				<ul id="navDiv_ul">
					<li><i class="icon-home"></i></li>
					<li><a href="${ctx}/advertiser/main/dashboard">首页</a></li>
					<li><i class="icon-angle-right"></i></li>
					<#if role == "agent">
					<li><a href="${ctx}/advertiser/main/ad/advertiser/list">广告主管理</a></li>
					<li><i class="icon-angle-right"></i></li>
					</#if>
					<li><a href="${ctx}/advertiser/main/ad/order/list?advertiserId=${advertiserId!}">订单管理</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li><a href="${ctx}/advertiser/main/ad/target/campaign/list?orderId=${orderId!}&advertiserId=${advertiserId!}">活动管理</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li><a href="${ctx}/advertiser/main/ad/target/ad-group/list?campaignId=${campaignId!}&orderId=${orderId!}&advertiserId=${advertiserId!}">投放管理</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li class="navDiv_currentLi">媒体自投</li>
				</ul>  
	 		</div>
	 		<form id="validateForm" action="" method="post">
	 			<input type="hidden" id="adGroupId" name="id" value=""/>
	 			<input type="hidden" id="advertiserId" name="advertiserId" value="${advertiserId!}"/>
	 			<input type="hidden" id="orderId" name="orderId" value="${orderId!}"/>
	 			<input type="hidden" id="campaignId" name="campaignId" value="${campaignId!}"/>
	 			<input type="hidden" name="agentId" value="${agentId!}"/>
				<input type="hidden" name="zoneIdString" value="1,12"/>
				<input type="hidden" name="selectedwifi" id="selectedwifi" value=""/>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-yes">*</span>投放名称：</label>
					<input class="input-text" tabindex="1" id="adGroupName" name="adGroupName" type="text" value="" verify="unspecial/255/1/0"/><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-yes">*</span>活动周期：</label>
					<span id="input-calendar">
						<i class="icon-calendar"></i>   
						<input type="text" tabindex="2" name="activeTime" id="dateRangePicker" value="" verify="date-to/24/1/0"/><span class="spanVaildate"></span>
					</span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-yes">*</span>总预算：</label>
					<input name="budget" type="hidden" id="budget" value="${budget!}"/>
					<input class="input-text" tabindex="3" id="totalBudget" name="totalBudget" type="text" value="" verify="float/11/1/2"/>
					<span class="input-span">元</span><span class="help-inline">总预算不能大于订单总预算</span><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-yes">*</span>投放模式：</label>
					<input class="input-radio" name="mode" type="radio" value="1" checked="checked"><span class="input-radio-span otherspan">CPM</span>
					<input class="input-radio" name="mode" type="radio" value="2"><span class="input-radio-span otherspan">CPC</span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-yes">*</span>单价(CPM)：</label>
					<input class="input-text" tabindex="4" id="price" name="price" type="text" value="" verify="float/11/1/2"/><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-no"></span>曝光总上限：</label>
					<input class="input-text" tabindex="6" id="maxImpression" name="maxImpression" type="text" value="" verify="number/11/0/0"/>
					<span class="input-span">千次</span><span class="help-inline">整个投放期，广告最多被曝光多少千次，-1代表不限</span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-no"></span>点击总上限：</label>
					<input class="input-text" tabindex="7" id="maxClick" name="maxClick" type="text" value="" verify="number/11/0/0"/>
					<span class="input-span">次</span><span class="help-inline">整个投放期，广告最多被点击多少次，-1代表不限</span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-no"></span>转化总上限：</label>
					<input class="input-text" tabindex="8" id="maxConversion" name="maxConversion" type="text" value="" verify="number/11/0/0"/>
					<span class="input-span">次</span><span class="help-inline">整个投放期，广告最多被曝光多少千次，-1代表不限</span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-no"></span>每日曝光总上限：</label>
					<input class="input-text" tabindex="9" id="dailyMaxImpression" name="dailyMaxImpression" type="text" value="" verify="number/11/0/0"/>
					<span class="input-span">千次</span><span class="help-inline">每天，广告最多被曝光多少千次</span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-no"></span>每日点击总上限：</label>
					<input class="input-text" tabindex="10" id="dailyMaxClick" name="dailyMaxClick" type="text" value="" verify="number/11/0/0"/>
					<span class="input-span">次</span><span class="help-inline">每天，广告最多被点击多少次</span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-no"></span>每日转化总上限：</label>
					<input class="input-text" tabindex="11" id="dailyMaxConversion" name="dailyMaxConversion" type="text" value="" verify="number/11/0/0"/>
					<span class="input-span">次</span><span class="help-inline">每天，广告最多被转换多少次</span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-no"></span>单人点击频次：</label>
					<ul id="main_perClickul">
						<li class="select_box" id="perClickul_box">
							<span id="perClickul_span">请选择点击类型</span>
							<ul class="son_ul" id="perClick_son_ul">
								<li value="0">请选择点击类型</li>
                    			<li value="1">每天</li>
                    			<li value="2">投放周期</li>
							</ul>
						</li>
					</ul>
					<input id="perClickType" name="perClickType" type="hidden" value="" />
					<input class="input-text-small" tabindex="12" id="perClick" name="perClick" type="text" value="" verify="number/11/0/0"/><span class="input-span">次</span><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-no"></span>单人曝光频次：</label>
					<ul id="main_perImpressionul">
						<li class="select_box" id="perImpressionul_box">
							<span id="perImpressionul_span">请选择曝光类型</span>
							<ul class="son_ul" id="perImpression_son_ul">
								<li value="0">请选择曝光类型</li>
                    			<li value="1">每天</li>
                    			<li value="2">投放周期</li>
							</ul>
						</li>
					</ul>
					<input id="perImpressionType" name="perImpressionType" type="hidden" value="" />
					<input class="input-text-small" tabindex="13" id="perImpression" name="perImpression" type="text" value="" verify="number/11/0/0"/><span class="input-span">次</span><span class="spanVaildate"></span>
				</div>
				<div class="input-group" id="areasDiv">
					<label class="input-label-other"><span class="lbl-no"></span>地域定向：</label>
					<input class="ignore" type="hidden" id="areas" name="areas" value=""/>
					<a id="btn-areas" class="btn2">地域设定</a>
		            <label id="geo-selected-areas"><span class="area-direct"></span><span>您已经设定了<strong id="count-areas">0</strong>个地域条件</span></label>
		            <label id="geo-all-areas"><span class="area-direct"></span><span class="default_text">不限</span></label>
				</div>
				<div id="timediv" class="input-group">
					<label class="input-label-other"><span class="lbl-no"></span>时段定向：</label>
					<div class="setting">
						<div class="time_tit">
					    	<p>开始时间</p>
					        <p>结束时间</p>
					    </div>
					    <input type="hidden" name="sdayParting" id="sdayParting" value=""/>
					    <div class="clear"></div>
					    <div class="time_box"></div>
					    <div class="time_add"><p id="setting_list" class="dateRangePicker" href="">新增时间段</p></div>
				    </div>
			  	</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-yes">*</span>操作系统：</label>
					<input class="input-radio" name="os" type="radio" value="1" checked="checked"><span class="input-radio-span otherspan">iOS</span>
					<input class="input-radio" name="os" type="radio" value="2"><span class="input-radio-span otherspan">Android</span>
					<input class="input-radio" name="os" type="radio" value="3"><span class="input-radio-span otherspan">WP</span>
					<input class="input-radio" name="os" type="radio" value="4"><span class="input-radio-span otherspan">Symbian</span>
					<input class="input-radio" name="os" type="radio" value="5"><span class="input-radio-span otherspan">MAC OS</span>
					<input class="input-radio" name="os" type="radio" value="6"><span class="input-radio-span otherspan">Windows</span>
					<input class="input-radio" name="os" type="radio" value="7"><span class="input-radio-span otherspan">其他</span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-no"></span>广告位：</label>
					<input class="input-checkbox" name="position" checked="checked" type="checkbox" value="2"><span class="input-checkbox-span otherspan">认证页</span>
					<input class="input-checkbox" name="position" type="checkbox" value="3"><span class="input-checkbox-span otherspan">认证页后</span>
					<input class="input-checkbox" name="position" type="checkbox" value="4"><span class="input-checkbox-span otherspan">上网过程</span>
					<input type="hidden" name="pager" value="1"/>
				<form  id="myform" method="post"  action="${ctx}/advertiser/main/ad/target/operator-ad-group/zonelist?position=1">
				<div style="width:100%;height:500px;">	
					<div style="width:20%;float:left;height:337px;border:thin solid #b9c5d9;border-bottom:2px solid #b9c5d9;margin-left:100px !important;">	
						<table border="1" id="uploadTable" class="uploadTable" style="margin-left:0px !important;">
							<thead>
								<tr>
									 <th style="width:20%;">全部app广告位</th>
									 
								</tr>
							</thead>
							<tbody>
								<#if zoneList ??>
								<#list zoneList as zone>
								<tr>
									<td class="all-app-advertiser"  value=${zone.id!}|${zone.name!} onclick="td_click(${zone.id!})"  id=td_${zone.id!}>${zone.name!}</td>
								<tr>
								</#list>
								</#if>
								
							</tbody>
						</table>
						<ul style="border-bottom:thin solid #b9c5d9;text-align:center;height:50px;line-height:50px;font-weight:bold;">分页
						</ul>
					</div>
					
					<div id="choosed_ad" style="width:20%;height:337px;float:left;border:2px solid #b9c5d9;border-left:none;">
						<ul style="border-bottom:thin solid #b9c5d9;text-align:center;height:50px;line-height:50px;font-weight:bold;">已选广告位
						</ul>
					</div>
				</div>
				</div>
				</form>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-yes">*</span>定向：</label>
					<input class="input-radio" name="aa" type="radio" value="1" checked="checked"><span class="input-radio-span otherspan">数据场景</span>
					<input class="input-radio" name="aa" type="radio" value="2"><span class="input-radio-span otherspan">分组</span>
				</div>
				<div class="input-group" id="placeDiv">
					<label class="input-label-other"><span class="lbl-yes">*</span>场景：</label>
					<div class="input-checkboxsDiv" id="input-checkboxsDiv">
						<#if placeList ??>
						<#list placeList as place>
						<div class="single_div">
							<input class="single_div_checkbox" name="place" type="checkbox" value="${place.id!}"><span class="single_div_span">${place.name!}</span>
						</div>
						</#list>
						</#if>
					</div>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-no"></span>LBS定向：</label>
					<a id="btn-toggle" class="btn2">LBS定向</a>
					<span id="spanselectedhint"></span>
				</div>
				<div id="divLBS">
					<div class="wifi-modal-dialog">
						<div class="wifi-modal-head">
							<lable>LBS 设定</label>
							<span id="wifi-headclose" class="close-tag"></span>
						</div>
						<div class="wifi-modal-content">
							<div class="wifi-modal-body">
								<div id="wifimap">
									<div id="divmapsearch">
										<fieldset id="city_custom">
											<select name="prov" id="prov" class="prov" ></select>
											<select name="city" id="city" class="city"></select>
											<input type="text" class="input-text-small" name="address" id="address" onkeydown="if(event.keyCode==13){return false;}">
											<#--距离
											<select name="distance" id="mapdistance" >
												<option value="1">1Km</option>
												<option value="2">2Km</option><option value="3">3Km</option>
												<option value="4">4Km</option><option value="5" selected>5Km</option>
												<option value="6">6Km</option><option value="10">10Km</option>
												<option value="20">20Km</option>
											</select>-->
											<input type="button" name="mapSearch" id="btnmapSearch" style="margin-top:-10px;background:#36aeea;" class="btn btn-primary" value="搜索">
										</fieldset>
										<!--[{"id":1,"address":"上海体育馆","lat":121.535816,"lng":31.24231},{"id":2,"address":"上海市八万人体育场","lat":121.526224,"lng":31.238806},{"id":3,"address":"上海市卢湾区体育馆","lat":121.523198,"lng":31.235045},{"id":9,"address":"智造局一期国际服务外包产业","lat":121.478716, "lng":31.206612},{"id":10,"address":"上海市红房子妇产科医院","lat":121.483587, "lng":31.213861},{"id":11,"address":"上海东仁商贸中","lat":121.499101, "lng":31.220265}]-->
										<input type="hidden" name="cacheSearched" id="cacheSearched"/>	
										<input type="hidden" name="cacheSelected" id="cacheSelected" value=''/>
										<input type="hidden" id="searchedPage"><input type="hidden" id="selectedPage"/>
									</div>
									<div id="mapview"></div>
								</div>
								<div id="wifitab" >
									<ul class="nav navtab" id="wifitabul" >
							        	<li id="mnusearchedwifi"><a href="javascript:" onclick="tabshow(this,'mnusearchedwifi')">搜索wifii</a></li>
							        	<li id="mnuselectedwifi" class="current"><a href="javascript:"  onclick="tabshow(this,'mnuselectedwifi')">已选wifi</a></li>
							    	</ul>
            						<div id="divselectedwifi" class="in fade">没有选中wifi</div>
									<div id="divsearchedwifi" class="in fade" style="display:none;">没有相关数据</div>
								</div>
							</div>
						</div>
						<div class="wifi-modal-foot">
							<button id="wifi-btn-save" class="btn-save" type="submit">确定</button>
							<button id="wifi-btn-cancel" class="btn-cancel" type="button">取消</button>
						</div>
					</div>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-yes">*</span>代表必填项</label>
				</div>
				<div id="footBtn">
					<button id="create-btn-save" class="btn-save" type="submit">保存</button>
					<button id="create-btn-cancel" class="btn-cancel" type="button">取消</button>
				</div>
			</form>
		</div>
    </div>
    <div id="areas_layout"></div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>