<@override name="head">
<title>需求方充值</title>
<script type="text/javascript" src="${ctx}/assets/js/lib/bootstrap.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/bootbox.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/common/table.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/common/dropDownList.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/common/validate.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/back/finance.js"></script>
</@override> 
<@override name="body">
<div id=content_bg>
	<#include "/back/main/public-head.ftl">
    <div id="pagecontent">
   		<div id="contentOther">
   			<div id="navDiv">
				<ul id="navDiv_ul">
					<li><i class="icon-home"></i></li>
					<li><a href="${ctx}/back/main/dashboard">首页</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li><a href="${ctx}/back/main/finance/finance-management">财务管理</a></li>
					<li><i class="icon-angle-right"></i></li>
				    <li class="navDiv_currentLi">需求方充值</li>
				</ul>  
 			</div>
 			<form id="validateForm" action="${ctx}/back/main/finance/finance-management/recharge" method="post">
			   	<div class="input-group" id="agentul_selectdiv">	
			   		<label class="input-label"><span class="lbl-yes">*</span>选择需求方：</label>
			   		<span class="spanVaildate_ul"></span>
		 			<ul id="main_agentListUl">
						<li class="select_box" id="agentListUl_box">
							<span id="agentListUl_span">请选择代理商</span>
							<ul class="son_ul" id="son_agentListUl"></ul>
						</li>
					</ul>
					<input type="hidden" name="agentId" id="agentId" value=""/>
				</div>
				<div class="input-group">
					<label class="input-label"><span class="lbl-yes">*</span>充值：</label>
					<input class="input-text" tabindex="1" id="money" name="money" type="text" value="" verify="float/11/1/2"/><span class="input-span">元</span><span class="spanVaildate"></span>
				</div>
				<div id="footBtn">
					<button id="btn-recharge-save" class="btn-save" type="submit">提交</button>
					<button id="btn-recharge-cancel" class="btn-cancel" type="button">取消</button>
				</div>
			</form>
			<form id="myform" action="${ctx}/back/main/finance/finance-management/deposit" method="post">
				<div id="navFinances">
					<span>充值记录：</span>
					<div id="searchValueDiv">
						<input type="hidden" id="page" name="page" value="${pager.page}"/>
						<input id="searchValue" type="text" name="searchValue" value="${searchValue!}" tabindex="1"/>
						<input id="serachData_img" type="submit" value=""/>
					</div>
				</div>
				<table border="1" class="tableFig">
					<thead>
						<tr class="theadTr">
							<th class="theadTh" style="width:20%;">日期</th>
							<th class="theadTh" style="width:20%;">代理商</th>
							<th class="theadTh" style="width:20%;">充值金额</th>
							<th class="theadTh" style="width:20%;">余额</th>
							<th class="theadTh" style="width:20%;">操作</th>
						</tr>
				    </thead>
				    <tbody>
						<#if advBalanceList ??>
				        <#list advBalanceList as advBalance>
				        <tr id="tbodyTr">
							<td class="tbodyTd">${advBalance.actTime!?date}</td>
							<td class="tbodyTd">${advBalance.agentName!}</td>
							<td class="tbodyTd">${advBalance.charge!}</td>
							<td class="tbodyTd">${advBalance.balance!}</td>
							<td class="tbodyTd">
								<a id="btn-recharge" value="${advBalance.id!}">撤销</a>
							</td>
						</tr>
				        </#list>
						</#if>           
				    </tbody>
				</table>
				<div id="exportReport">
					<a id="exportExcel" class="btn_export" href="${ctx}/back/main/finance/finance-management/exportExcel">导出Excel</a>
				</div>
				<div id="pageDiv">
					<#include "/common/pagination/simple.ftl"/>
				</div>
 			</form>
		</div>
	</div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>