<@override name="head">
<title>广告位管理</title>
<script type="text/javascript" src="${ctx}/assets/js/lib/bootstrap.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/bootbox.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/ZeroClipboard.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/common/table.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/operator/zone.js"></script>
</@override>
<@override name="body">
<div id="content_bg">
	<#include "/operator/main/public-head.ftl">
	<div id="pagecontent">
	   	<div id="content">
	   		<div id="navDiv">
				<ul id="navDiv_ul">
					<li><i class="icon-home"></i></li>
					<li><a href="${ctx}/operator/main/dashboard">首页</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li class="navDiv_currentLi">广告主管理</li>
				</ul>  
	 		</div>
			<form id="myform" action="${ctx}/operator/main/ad/zone" method="post">
				<input type="hidden" id="status" name="status" value="${status!}"/>
 				<input type="hidden" id="width" name="width" value="${width!}"/>
				<input type="hidden" id="height" name="height" value="${height!}"/>
				<input type="hidden" id="device" name="device" value="${device!}"/>
				<input type="hidden" id="position" name="position" value="${position!}"/>
				<input type="hidden" id="size" name="size" value="${size!}"/>
				<div id="selectBar_size" class="selectBar">
		 			<span>尺寸：</span>
					<a value="0">全部</a>
					<#if sizeList ??>
					<#list sizeList as size>	
			        	<a value="${size.width!}X${size.height!}">${size.width!}X${size.height!}</a>
					</#list>
					</#if>
				</div>
				<div id="selectBar_type" class="selectBar">
		 			<span>类型：</span>
					<a value="">全部</a>
					<a value="1">网页</a>
					<a value="2">APP</a>
				</div>
				<div id="selectBar_position" class="selectBar">
		 			<span>位置：</span>
					<a value="">全部</a>
					<a value="1">认证页</a>
					<a value="2">跳转页</a>
					<a value="3">上网过程</a>
				</div>
				<div id="selectBar_status" class="selectBar">
		 			<span>状态：</span>
					<a value="">全部</a>
					<a value="0">正常</a>
					<a value="1">停用</a>
				</div>
				<!--下面是四个按钮的div及搜索框-->
				<div id="navButtons_other">
				   	<div id="button">
						<a href="${ctx}/operator/main/ad/zone/create" class="btn2">创建广告位</a>   
				        <a class="btn2" id="all-btn-enable">批量开启</a>
						<a class="btn2" id="all-btn-disable">批量停用</a>
						<a class="btn2" id="all-btn-delete">批量删除</a>
				    </div>
					<div id="searchValueDiv">
						<input type="hidden" name="page" value="${pager.page!}">
						<input id="searchValue" type="text" name="searchValue" value="${searchValue!}" tabindex="1"/>
						<input id="serachData_img" type="submit" value=""/>
				   	 </div>
				</div>
		 		<!--接下来是广告位的table-->
				<#include "list.ftl">
	    	</form>  
   	 	</div> 
	</div>
 </div>      
</@override>
<@extends name="/common/simple.ftl"/>