<@override name="head">
<title>财务管理</title>
<link rel="stylesheet" href="${ctx}/assets/css/daterangepicker.css" />

<script type="text/javascript" src="${ctx}/assets/js/lib/moment.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/jquery.daterangepicker.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/date.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/common/table.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/common/dropDownList.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/common/shortcutkey_datePicker.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/operator/finance.js"></script>
</@override>
<@override name="body">
<div id=content_bg>
	<#include "/operator/main/public-head.ftl">
    <div id= "pagecontent">
    	<div id="content">
   			<div id="navDiv">
				<ul id="navDiv_ul">
					<li><i class="icon-home"></i></li>
					<li><a href="${ctx}/advertiser/main/dashboard">首页</a></li>
					<li><i class="icon-angle-right"></i></li>
				    <li class="navDiv_currentLi">财务管理</li>
				</ul>  
 			</div>
 			<form id="myform" action="${ctx}/operator/main/financial/financial-management/list" method="post">
 				<input id="page" name="page" type="hidden" value="${pager.page!}"/>
 				<input type="hidden" id="dateTab" name="dateTab" value="${dateTab!}">
				<div id="content_choose">	
					<ul id="main_zoneListUl">
						<li class="select_box" id="zoneListUl_box">
							<span id="zoneListUl_span">${selectedZoneName!}</span>
							<ul class="son_ul" id="son_zoneListUl"></ul>
						</li>
					</ul>
					<input type="hidden" name="selectedZoneId" id="selectedZoneId" value="${selectedZoneId!}"/>
					<input type="hidden" name="selectedZoneName" id="selectedZoneName" value="${selectedZoneName!}"/>
					<span id="dateChoose_span">
						<a value="today">今天</a> |
						<a id="yesterday" value="yesterday">昨天</a> |
						<a value="lastSevenDays">前七天</a> |
						<a value="lastWeek">上周</a> |
						<a value="thisMonth">本月</a> |
						<a value="lastMonth">上月</a> 
					</span>
					<span id="calendar_span">
						<i class="icon-calendar"></i>   
						<input type="text" name="dateRangePicker" id="dateRangePicker" value="${dateRangePicker!}"/>
					</span>
					<input id="btn_formSubmit" type="submit" value="查询"/>
				</div>
				<table border="1" class="tableFigOther">
					<thead>
						<tr class="theadTr">
							<th class="theadTh" style="width:20%;">日期</th>
							<th class="theadTh" style="width:20%;">广告曝光数</th>
							<th class="theadTh" style="width:20%;">广告点点击数</th>
							<th class="theadTh" style="width:20%;">eCPM</th>
							<th class="theadTh" style="width:20%;">收入</th>
						</tr>
				    </thead>
				    <tbody>
						<#if rptZoneList ??>
				        <#list rptZoneList as rptZone>
				        <tr id="tbodyTr">
							<td class="tbodyTd">${rptZone.date!?date}</td>
							<td class="tbodyTd">${rptZone.impression!}</td>
							<td class="tbodyTd">${rptZone.click!}</td>
							<td class="tbodyTd">${rptZone.ecpm!}</td>
							<td class="tbodyTd">${rptZone.income!}</td>
						</tr>
				        </#list>
						</#if>           
				    </tbody>
				</table>
				<div id="exportReport">
					<a id="exportExcel" class="btn_export" href="javascript:void(0);" onClick="exportExcel_list()">导出Excel</a>
					<a class="btn-back" href="${ctx}/operator/main/financial/financial-management/withdraw-deposit/list">提现</a>
				</div>
 			</form>
		</div>
	</div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>