package com.cloudcross.ssp.service;

import java.util.List;

import com.cloudcross.ssp.base.service.IGenericService;
import com.cloudcross.ssp.model.AdGroupSchedule;


/**
 * 投放的排期表服务接口定义
 * @author chenyou
 *
 */
public interface IAdGroupScheduleService extends IGenericService<AdGroupSchedule> {
	boolean batchAdd(List<AdGroupSchedule> scheduleList);
	boolean deleteByAdGroupId(Long adGroupId);
}
