<@override name="head">
<title>创意管理</title>
<script type="text/javascript" src="${ctx}/assets/js/lib/bootstrap.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/bootbox.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/common/table.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/common/dropDownList.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/advertiser/adBanner.js"></script>
</@override> 
<@override name="body">
<div id=content_bg>
	<#include "/advertiser/main/public-head.ftl">
    <div id="pagecontent">
   		<div id="content">
   			<div id="navDiv">
				<ul id="navDiv_ul">
					<li><i class="icon-home"></i></li>
					<li><a href="${ctx}/advertiser/main/dashboard">首页</a></li>
					<li><i class="icon-angle-right"></i></li>
					<#if role == "agent">
					<li><a href="${ctx}/advertiser/main/ad/advertiser/list">广告主管理</a></li>
					<li><i class="icon-angle-right"></i></li>
					</#if>
					<li><a href="${ctx}/advertiser/main/ad/order/list?advertiserId=${advertiserId!}">订单管理</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li><a href="${ctx}/advertiser/main/ad/target/campaign/list?orderId=${orderId!}&advertiserId=${advertiserId!}">活动管理</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li><a href="${ctx}/advertiser/main/ad/target/ad-group/list?campaignId=${campaignId!}&orderId=${orderId!}&advertiserId=${advertiserId!}">投放管理</a></li>
					<li><i class="icon-angle-right"></i></li>
				    <li class="navDiv_currentLi">创意管理</li>
				</ul>  
 			</div>
 			<form id="myform" action="${ctx}/advertiser/main/ad/target/ad/list?adGroupId=${adGroupId!}&campaignId=${campaignId!}&orderId=${orderId!}&advertiserId=${advertiserId!}" method="post">
 				<input type="hidden" id="status" name="selectedStatus" value="${selectedStatus!}"/>
 				<div id="selectuls">
					<ul id="main_advertiserul" class="son_selectul">
						<li class="select_box" id="advertiserul_box">
							<span id="advertiserul_span">${selectedadvertiserName!}</span>
							<ul class="son_ul" id="advertiser_son_ul"></ul>
						</li>
					</ul>
					<input type="hidden" name="advertiserId" id="advertiserId" value="${advertiserId!}"/>
					<input type="hidden" name="selectedadvertiserName" id="advertiserName" value="${selectedadvertiserName!}"/>
					<ul id="main_orderul">
						<li class="select_box" id="orderul_box">
							<span id="orderul_span">${selectedorderName!}</span>
							<ul class="son_ul" id="orderul_son_ul"></ul>
						</li>
					</ul>
					<input type="hidden" name="orderId" id="orderId" value="${orderId!}"/>
					<input type="hidden" name="selectedorderName" id="orderName" value="${selectedorderName!}"/>
					<ul id="main_campaignul">
						<li class="select_box" id="campaignul_box">
							<span id="campaignul_span">${selectedcampaignName!}</span>
							<ul class="son_ul" id="campaignul_son_ul"></ul>
						</li>
					</ul>
					<input type="hidden" name="campaignId" id="campaignId" value="${campaignId!}"/>
					<input type="hidden" name="selectedcampaignName" id="campaignName" value="${selectedcampaignName!}"/>
					<ul id="main_adGroupul">
						<li class="select_box" id="adGroupul_box">
							<span id="adGroupul_span">${selectedadGroupName!}</span>
							<ul class="son_ul" id="adGroupul_son_ul"></ul>
						</li>
					</ul>
					<input type="hidden" name="adGroupId" id="adGroupId" value="${adGroupId!}"/>
					<input type="hidden" name="selectedadGroupName" id="adGroupName" value="${selectedadGroupName!}"/>
				</div>
			    <div id="selectBar_status" class="selectBar">
	 				<span>状态：</span>
					<a value="2">全部</a>
					<a value="0">正常</a>
					<a value="1">停用</a>
			    </div>
			    <div id="navButtons_other">
					<div id="button">					
						<a href="${ctx}/advertiser/main/ad/target/create-banner/list?adGroupId=${adGroupId!}" class="btn2" id="btn-create">创建创意</a>
						<a class="btn2" id="all-btn-enable">批量开启</a>
						<a class="btn2" id="all-btn-disable">批量停用</a>
						<a class="btn2" id="all-btn-delete">批量删除</a>
					</div>
					<div id="searchValueDiv">
						<input type="hidden" id="page" name="page" value="${pager.page}"/>
						<input id="searchValue" type="text" name="searchValue" value="${searchValue!}" tabindex="1"/>
						<input id="serachData_img" type="submit" value=""/>
					</div>
				</div>
				<table border="1" class="tableFig">
					<thead>
						<tr class="theadTr">
			            	<th class="theadTh" style="width:5%;"><div class="checkboxStyleTh"></div></th>
			                <th class="theadTh" style="width:5%;">ID</th>
			                <th class="theadTh" style="width:9%;">创意</th>
			                <th class="theadTh" style="width:8%;">创意名称</th>
			                <th class="theadTh" style="width:15%;">创意链接</th>
			                <th class="theadTh" style="width:6%;">尺寸</th>
			                <th class="theadTh" style="width:12%;">最后更新日期</th>
			                <th class="theadTh" style="width:6%;">状态</th>
			                <th class="theadTh" style="width:35%;">操作</th>
			            </tr> 
					</thead>
					<tbody>
						<#if bannerList ??>
						<#list bannerList as banner>
							<tr id="tbodyTr">
								<td class="tbodyTd"><div class="checkboxStyleTd" id="${banner.id!}"></div></td>
								<td class="tbodyTd">${banner.id!}</td>
								<td class="tbodyTd"><img src="${banner.bannerTemplate.pathSmall!}"/></td>
								<td class="tbodyTd">${banner.bannerTemplate.name!}</td>
								<td class="tbodyTd"><a href="javascript:void(0);" class="tableTdStyle">${banner.visitAddress!}</a></td>
								<td class="tbodyTd">${banner.bannerTemplate.width!}x${banner.bannerTemplate.height!}</td>
								<td class="tbodyTd"><a href="${ctx}/advertiser/main/ad/target/ad/update?bannerId=${banner.id}&adGroupId=${adGroupId!}&campaignId=${campaignId!}&orderId=${orderId!}&advertiserId=${advertiserId!}" class="tableTdStyle">${banner.updated!?datetime}</a></td>
								<td class="tbodyTd"><#if banner.status==0 && banner.bannerTemplate.status == 0>开启<#else>停用</#if></td>
								<td class="tbodyTd">
									<div id="listButtons">
										<a href="${ctx}/advertiser/main/ad/target/ad/edit?bannerId=${banner.id!}&campaignId=${campaignId!}&orderId=${orderId!}&advertiserId=${advertiserId!}" class="btn3">编辑</a>
										<a href="${ctx}/advertiser/main/ad/report/advertiser-report?selectedadvertiserId=${advertiserId!}&selectedorderId=${orderId!}&selectedcampaignId=${campaignId!}&selectedadGroupId=${adGroupId!}" class="btn3">查看报表</a>
										<#if banner.status==0 && banner.bannerTemplate.status == 0>
										<a id="btn-disable" value="${banner.id!}" class="btn3">停用</a>
										<#else>
										<a id="btn-enable" value="${banner.id!}" class="btn3">开启</a>
										</#if>
										<a id="btn-delete" value="${banner.id!}" class="btn3">删除</a>
									</div>
								</td>
							</tr>
						</#list>
						</#if>
					</tbody>
				</table>
				<div id="exportReport">
					<a id="exportExcel" class="btn_export" href="javascript:void(0);" onclick="exportExcel_list()">导出Excel</a>
				</div>
				<div id="pageDiv">
					<#include "/common/pagination/simple.ftl"/>
				</div>
			</form>
		</div>
	</div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>