<@override name="head">	
<title>编辑活动</title>
<link rel="stylesheet" href="${ctx}/assets/css/daterangepicker.css"/>

<script type="text/javascript" src="${ctx}/assets/js/lib/moment.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/jquery.daterangepicker.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/common/validate.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/advertiser/campaign.js"></script>
</@override>	
<@override name="body">
<div id=content_bg>
 	<#include "/advertiser/main/public-head.ftl"/>
	<div id= "pagecontent">
		<div id="content">
	   		<div id="navDiv">
				<ul id="navDiv_ul">
					<li><i class="icon-home"></i></li>
					<li><a href="${ctx}/advertiser/main/dashboard">首页</a></li>
					<li><i class="icon-angle-right"></i></li>
					<#if role == "agent">
					<li><a href="${ctx}/advertiser/main/ad/advertiser/list">广告主管理</a></li>
					<li><i class="icon-angle-right"></i></li>
					</#if>
					<li><a href="${ctx}/advertiser/main/ad/order/list?advertiserId=${advertiserId!}">订单管理</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li><a href="${ctx}/advertiser/main/ad/target/campaign/list?orderId=${orderId!}&advertiserId=${advertiserId!}">活动管理</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li class="navDiv_currentLi">编辑活动</li>
				</ul>  
	 		</div>
	 		<form id="validateForm" action="${ctx}/advertiser/main/ad/target/campaign/save" method="post">
	 			<input type="hidden" id="orderTotalBudget" value="${orderTotalBudget!}"/>
	 			<input type="hidden" id="advertiserId" name="advertiserId" value="${advertiserId!}"/>
	 			<input type="hidden" id="orderId" name="orderId" value="${orderId!}"/>
	 			<input type="hidden" name="id" value="${campaign.id!}"/>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-yes">*</span>活动名称：</label>
					<input class="input-text" tabindex="1" id="name" name="name" type="text" value="${campaign.name!}" verify="unspecial/255/1/0"/><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-yes">*</span>活动周期：</label>
					<span id="input-calendar">
						<i class="icon-calendar"></i>   
						<input type="text" tabindex="2" name="pickTime" id="dateRangePicker" value="${campaign.activeTime!?date} to ${campaign.expireTime!?date}" verify="date-to/24/1/0"/><span class="spanVaildate"></span>
					</span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-yes">*</span>总预算：</label>
					<input class="input-text" tabindex="3" id="totalBudget" name="totalBudget" type="text" value="${campaign.totalBudget!}" verify="float/11/1/2"/>
					<span class="input-span">元</span><span class="help-inline">总预算不能大于订单总预算</span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-no"></span>每日预算：</label>
					<input class="input-text" tabindex="4" id="dailyBudget" name="dailyBudget" type="text" value="${campaign.dailyBudget!}" verify="float/11/0/2"/>
					<span class="input-span">元</span><span class="help-inline">若不设置，系统默认将总预算在投放周期内的均值作为每日预算</span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-no"></span>曝光总上限：</label>
					<input class="input-text" tabindex="5" id="impression" name="impression" type="text" value="${campaign.impression!}" verify="number/11/0/0"/>
					<span class="input-span">千次</span><span class="help-inline">整个投放期，广告最多被曝光多少千次，-1代表不限</span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-no"></span>点击总上限：</label>
					<input class="input-text" tabindex="6" id="click" name="click" type="text" value="${campaign.click!}" verify="number/11/0/0"/>
					<span class="input-span">次</span><span class="help-inline">整个投放期，广告最多被点击多少次，-1代表不限</span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-no"></span>转化总上限：</label>
					<input class="input-text" tabindex="7" id="conversion" name="conversion" type="text" value="${campaign.conversion!}" verify="number/11/0/0"/>
					<span class="input-span">次</span><span class="help-inline">整个投放期，广告最多被曝光多少千次，-1代表不限</span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-no"></span>每日曝光总上限：</label>
					<input class="input-text" tabindex="8" id="dailyImpression" name="dailyImpression" type="text" value="${campaign.dailyClick!}" verify="number/11/0/0"/>
					<span class="input-span">千次</span><span class="help-inline">每天，广告最多被曝光多少千次</span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-no"></span>每日点击总上限：</label>
					<input class="input-text" tabindex="9" id="dailyClick" name="dailyClick" type="text" value="${campaign.impression!}" verify="number/11/0/0"/>
					<span class="input-span">次</span><span class="help-inline">每天，广告最多被点击多少次</span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-no"></span>每日转化总上限：</label>
					<input class="input-text" tabindex="10" id="dailyConversion" name="dailyConversion" type="text" value="${campaign.dailyConversion!}" verify="number/11/0/0"/>
					<span class="input-span">次</span><span class="help-inline">每天，广告最多被转换多少次</span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-no"></span>备注：</label>
					<input class="input-text" tabindex="11" id="memo" name="memo" type="text" value="${campaign.memo!}" verify="unspecial/255/0/0"/><span class="spanVaildate"></span>
				</div>
				<div id="footBtn">
					<button class="btn-save" type="submit">保存</button>
					<button class="btn-cancel" type="button">取消</button>
				</div>
			</form>
		</div>
    </div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>