<@override name="head">
<title>资金管理</title>
<script type="text/javascript" src="${ctx}/assets/js/common/table.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/common/dropDownList.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/advertiser/finance.js"></script>
</@override>
<@override name="body">
<div id=content_bg>
	<#include "/advertiser/main/public-head.ftl">
    <div id= "pagecontent">
    	<div id="contentOther">
   			<div id="navDiv">
				<ul id="navDiv_ul">
					<li><i class="icon-home"></i></li>
					<li><a href="${ctx}/advertiser/main/dashboard">首页</a></li>
					<li><i class="icon-angle-right"></i></li>
				    <li><a href="${ctx}/advertiser/main/finance/adv-balance/list">财务管理</a></li>
				    <li><i class="icon-angle-right"></i></li>
				    <li class="navDiv_currentLi">资金管理</li>
				</ul>  
 			</div>
 			<form id="myform" action="${ctx}/advertiser/main/finance/finance-data/list" method="post">
 				<input id="page" name="page" type="hidden" value="${pager.page}"/>
 				<div id="navButtons">
					<div id="button">					
						<a href="${ctx}/advertiser/main/finance/adv-balance/list" class="btn2">广告主消费记录</a>
						<a href="${ctx}/advertiser/main/finance/finance-data/list" class="btn2">资金管理</a>
						<a href="${ctx}/advertiser/main/finance/adv-balance/distribution" class="btn2">广告主分配记录</a>
					</div>
				</div>
				<div id="selectuls">
					<div class="selectuls_finance_div" id="avail_money">
						<label>广告主代理商可用额度：<span>${agentBalance!}元</span></label>
					</div>
					<div class="selectuls_finance_div">
						<span class="selectuls_finance_span">广告主：</span>
						<ul id="main_advertiserul">
							<li class="select_box" id="advertiserul_box">
								<span id="advertiserul_span">${selectedAdvertiserName!}</span>
								<ul class="son_ul" id="advertiser_son_ul"></ul>
							</li>
						</ul>
						<input type="hidden" name="selectedAdvertiserId" id="advertiserId" value="${advertiserId!}">
						<input type="hidden" name="selectedAdvertiserName" id="advertiserName" value="${selectedAdvertiserName!}">
					</div>
					<input id="btn_formSubmit" type="submit" value="查询"/>
					<a id="btn_formExport" href="javascript:void(0);" onClick="exportExcel_financelist()">导出Excel</a>
				</div>
				<table border="1" class="tableFig">
					<thead>
						<tr class="theadTr">
							<th class="theadTh" style="width:5%;"><div class="checkboxStyleTh"></div></th>
							<th class="theadTh" style="width:15%;">广告主</th>
							<th class="theadTh" style="width:20%;">账户余额</th>
							<th class="theadTh" style="width:20%;">累计分配</th>
							<th class="theadTh" style="width:20%;">最后分配时间</th>
							<th class="theadTh" style="width:20%;">操作</th>
						</tr>
				    </thead>
				    <tbody>
						<#if financeList ??>
				        <#list financeList as finance>
				        <tr id="tbodyTr">
							<td class="tbodyTd"><div class="checkboxStyleTd" id="${finance.id!}"></div></td>
							<td class="tbodyTd">${finance.advertiserName!}</td>
							<td class="tbodyTd">${finance.adBalance!}</td>
							<td class="tbodyTd">${finance.sumAllocation!}</td>
							<td class="tbodyTd"><#if finance.upDated ??>${finance.upDated!?datetime}</#if></td>
							<td class="tbodyTd">
								<a href="${ctx}/advertiser/main/finance/finance-data/allocation?advertiserId=${finance.advertiserId!}">资金分配</a>
							</td>
						</tr>
				        </#list>
						</#if>           
				    </tbody>
				</table>
				<div id="pageDiv-other">
					<#include "/common/pagination/simple.ftl"/>
				</div>
 			</form>
		</div>
	</div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>