<@override name="head">
<title>总体报表</title>
<link rel="stylesheet" href="${ctx}/assets/css/daterangepicker.css"/>
<script type="text/javascript" src="${ctx}/assets/js/lib/moment.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/jquery.daterangepicker.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/date.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/highcharts.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/exporting.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/common/dropDownList.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/common/shortcutkey_datePicker.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/report_operator.js"></script>
</@override>
<@override name="body">
<div id=content_bg>
	<#include "/back/main/public-head.ftl">
    <div id="pagecontent">
   		<div id="content">
			<div id="selectBar_report" class="selectBar">
				<a class="selectBar_change" href="${ctx}/back/main/ad/operator/operator-report">总体报表</a>
				<a href="${ctx}/back/main/ad/operator/operator-report/size">尺寸报表</a>
				<a href="${ctx}/back/main/ad/operator/operator-report/position">位置报表</a>
				<a href="${ctx}/back/main/ad/operator/operator-report/system">系统报表</a>
				<a href="${ctx}/back/main/ad/operator/operator-report/type">类型报表</a>
				<a href="${ctx}/back/main/ad/operator/operator-report/areal">地域报表</a>
				<a href="${ctx}/back/main/ad/operator/operator-report/place">场景报表</a>
				<a href="${ctx}/back/main/ad/operator/operator-report/apmac">热点报表</a>
		    </div>
	   		<div id="navDiv">
				<ul id="navDiv_ul">
					<li><i class="icon-home"></i></li>
					<li><a href="${ctx}/back/main/dashboard">首页</a></li>
					<li><i class="icon-angle-right"></i></li>
				    <li class="navDiv_currentLi">数据报表</li>
				</ul>  
 			</div>
        	<form id="myform" action="${ctx}/back/main/ad/operator/operator-report" method="post">		
        		<input id="page" type="hidden" name="page" value="${pager.page!}"/>	
        		<input id="dateTab" type="hidden" name="dateTab" value="${dateTab!}"/>
		 		<div id="content_choose">	
		 			<ul id="main_operatorListUl">
						<li class="select_box" id="operatorListUl_box">
							<span id="operatorListUl_span">${selectedOperatorName!}</span>
							<ul class="son_ul" id="son_operatorListUl"></ul>
						</li>
					</ul>
					<input type="hidden" name="selectedOperatorId" id="selectedOperatorId" value="${selectedOperatorId!}">
					<input type="hidden" name="selectedOperatorName" id="selectedOperatorName" value="${selectedOperatorName!}">
					<ul id="main_zoneListUl">
						<li class="select_box" id="zoneListUl_box">
							<span id="zoneListUl_span">${selectedZoneName!}</span>
							<ul class="son_ul" id="son_zoneListUl"></ul>
						</li>
					</ul>
					<input type="hidden" name="selectedZoneId" id="selectedZoneId" value="${selectedZoneId!}">
					<input type="hidden" name="selectedZoneName" id="selectedZoneName" value="${selectedZoneName!}">
					<span id="dateChoose_span">
						<a value="today">今天</a> |
						<a id="yesterday" value="yesterday">昨天</a> |
						<a value="lastSevenDays">前七天</a> |
						<a value="lastWeek">上周</a> |
						<a value="thisMonth">本月</a> |
						<a value="lastMonth">上月</a> 
					</span>
					<span id="calendar_span">
						<i class="icon-calendar"></i>   
						<input type="text" name="dateRangePicker" id="dateRangePicker" value="${dateRangePicker!}"/>
					</span>
					<input id="btn_formSubmit" type="submit" value="查询"/>
				</div>
				<div id="content_dataFrame">
					<input id="dataFrame" name="dataFrame" type="hidden" value="${dataFrame!}"/>
					<div id="dataFrame0" class="dataFrame dataFrame_style">
					   	<div class="dataFrame_name">PV</div>
					   	<div class="dataFrame_data">${sumReport.pv}</div>
					</div>
					<div id="dataFrame1" class="dataFrame dataFrame_style">
					   	<div class="dataFrame_name">UV</div>
					   	<div class="dataFrame_data">${sumReport.uv}</div>
					</div>
					<div id="dataFrame2" class="dataFrame dataFrame_style">
						<div class="dataFrame_name">广告曝光数</div>
					   	<div class="dataFrame_data">${sumReport.impression}</div>
					</div>
					<div id="dataFrame3" class="dataFrame dataFrame_style">
					   	<div class="dataFrame_name">广告点击数</div>
					   	<div class="dataFrame_data">${sumReport.click}</div>
					</div>
					<div id="dataFrame4" class="dataFrame dataFrame_last_style">
					   	<div class="dataFrame_name">收入</div>
					   	<div class="dataFrame_data">${sumReport.income}</div>
					</div>
				</div>
				<div id="chartDivs" value="total"> 
			    	<div id="linechart0" class="linechart" style="min-width:93%;height:325px;margin:0 auto;"></div>
			        <div id="linechart1" class="linechart" style="min-width:93%;height:325px;margin:0 auto;"></div>
			        <div id="linechart2" class="linechart" style="min-width:93%;height:325px;margin:0 auto;"></div>
			        <div id="linechart3" class="linechart" style="min-width:93%;height:325px;margin:0 auto;"></div>
			        <div id="linechart4" class="linechart" style="min-width:93%;height:325px;margin:0 auto;"></div>
				</div>	
				<table border="1" class="tableFig">
			    	<thead>
			    		<tr class="theadTr">
			            	<th class="theadTh" style="width:15%">日期</th>
			                <th class="theadTh" style="width:7%">PV</th>
			                <th class="theadTh" style="width:6%">UV</th>
			                <th class="theadTh" style="width:8%">广告曝光数</th>
			                <th class="theadTh" style="width:8%">广告填充率</th>
			                <th class="theadTh" style="width:8%">广告点击数</th>
			                <th class="theadTh" style="width:8%">广告点击率</th>
			                <th class="theadTh" style="width:7%">eCPM</th>
			                <th class="theadTh" style="width:8%">收入</th>
			            </tr> 
			        </thead>
			        <tbody>
			        	<#if reportList ??>
			            <#list reportList as report>
				        <tr id="tbodyTr">
				        	<td class="tbodyTd">${report.reportDate!?string('yyyy/MM/dd')}</td> 
				            <td class="tbodyTd">${report.pv!}</td>
				            <td class="tbodyTd">${report.uv!}</td>
				            <td class="tbodyTd">${report.impression!}</td>
				            <td class="tbodyTd">${report.fillRate!}</td>
				            <td class="tbodyTd">${report.click!}</td>
				            <td class="tbodyTd">${report.clickRate!}</td>  
				            <td class="tbodyTd">${report.eCpm!}</td>
				            <td class="tbodyTd">${report.income!}</td>
				        </tr>
				        </#list>  
			        	</#if>
			    	</tbody>
		     	</table>
		     	<div id="hourrpt">
					<#if rptZoneHourList ??>
			        <#list rptZoneHourList as hourrpt>
				    <div id="tr22">
				    	<div name="hr">${hourrpt.hour!}</div>
				        <div name="hr">${hourrpt.pv!}</div>
				        <div name="hr">${hourrpt.uv!}</div>
				        <div name="hr">${hourrpt.impression!}</div>
				        <div name="hr">${hourrpt.click!}</div>
				        <div name="hr">${hourrpt.income!}</div>
				    </div>
				   	</#list>  
			        </#if>
				</div>
		        <div id="exportReport">
					<a id="exportExcel" class="btn_export" href="javascript:void(0);" onclick="exportExcel('total','${ctx}/back/main/ad/operator/operator-report/exportDataReportExcel','back_total')">导出Excel</a>
				</div>
				<div id="pageDiv">
					<#include "/common/pagination/simple.ftl"/>
				</div>
			</form>
	  	</div>        
    </div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>