<@override name="head">
<title>类型报表</title>
<link rel="stylesheet" href="${ctx}/assets/css/daterangepicker.css"/>
<script type="text/javascript" src="${ctx}/assets/js/lib/moment.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/jquery.daterangepicker.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/date.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/highcharts.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/exporting.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/common/dropDownList.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/common/shortcutkey_datePicker.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/report_operator.js"></script>
</@override>
<@override name="body">
<div id=content_bg>
	<#include "/back/main/public-head.ftl">
    <div id="pagecontent">
   		<div id="content">
		    <div id="selectBar_report" class="selectBar">
				<a href="${ctx}/back/main/ad/operator/operator-report">总体报表</a>
				<a href="${ctx}/back/main/ad/operator/operator-report/size">尺寸报表</a>
				<a href="${ctx}/back/main/ad/operator/operator-report/position">位置报表</a>
				<a href="${ctx}/back/main/ad/operator/operator-report/system">系统报表</a>
				<a class="selectBar_change" href="${ctx}/back/main/ad/operator/operator-report/type">类型报表</a>
				<a href="${ctx}/back/main/ad/operator/operator-report/areal">地域报表</a>
				<a href="${ctx}/back/main/ad/operator/operator-report/place">场景报表</a>
				<a href="${ctx}/back/main/ad/operator/operator-report/apmac">热点报表</a>
		    </div>
	   		<div id="navDiv">
				<ul id="navDiv_ul">
					<li><i class="icon-home"></i></li>
					<li><a href="${ctx}/back/main/dashboard">首页</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li><a href="${ctx}/back/main/ad/operator/operator-report">数据报表</a></li>
					<li><i class="icon-angle-right"></i></li>
				    <li class="navDiv_currentLi">类型报表</li>
				</ul>  
 			</div>
        	<form id="myform" action="${ctx}/back/main/ad/operator/operator-report/type" method="post">		
        		<input id="dateTab" type="hidden" name="dateTab" value="${dateTab!}"/>
        		<input id="listSize" type="hidden" name="listSize" value="${listSize!}"/>
		 		<div id="content_choose">	
		 			<ul id="main_operatorListUl">
						<li class="select_box" id="operatorListUl_box">
							<span id="operatorListUl_span">${selectedOperatorName!}</span>
							<ul class="son_ul" id="son_operatorListUl"></ul>
						</li>
					</ul>
					<input type="hidden" name="selectedOperatorId" id="selectedOperatorId" value="${selectedOperatorId!}">
					<input type="hidden" name="selectedOperatorName" id="selectedOperatorName" value="${selectedOperatorName!}">
					
					<span id="dateChoose_span">
						<a value="today">今天</a> |
						<a id="yesterday" value="yesterday">昨天</a> |
						<a value="lastSevenDays">前七天</a> |
						<a value="lastWeek">上周</a> |
						<a value="thisMonth">本月</a> |
						<a value="lastMonth">上月</a> 
					</span>
					<span id="calendar_span">
						<i class="icon-calendar"></i>   
						<input type="text" name="dateRangePicker" id="dateRangePicker" value="${dateRangePicker!}"/>
					</span>
					<input id="btn_formSubmit" type="submit" value="查询"/>
				</div>
				<div id="chartDivs"> 
			    	<div id="linechart0" class="linechart" style="min-width:93%;height:325px;margin:0 auto;"></div>
			        <div id="linechart1" class="linechart" style="min-width:93%;height:325px;margin:0 auto;"></div>
			        <div id="linechart2" class="linechart" style="min-width:93%;height:325px;margin:0 auto;"></div>
			        <div id="linechart3" class="linechart" style="min-width:93%;height:325px;margin:0 auto;"></div>
			        <div id="linechart4" class="linechart" style="min-width:93%;height:325px;margin:0 auto;"></div>
			        <div id="linechart5" class="linechart" style="min-width:93%;height:325px;margin:0 auto;"></div>
			        <div id="linechart6" class="linechart" style="min-width:93%;height:325px;margin:0 auto;"></div>
			        <div id="linechart7" class="linechart" style="min-width:93%;height:325px;margin:0 auto;"></div>
			        <div id="linechart8" class="linechart" style="min-width:93%;height:325px;margin:0 auto;"></div>
				</div>
				<div id="content_chartLender">
					<input id="dataFrame" name="dataFrame" type="hidden" value="${dataFrame!}"/>
					<div id="chartLender0" class="chartLender_name"><span class="chartLender_box"></span><span class="chartLender_span">浏览量占比</span></div>
					<div id="chartLender1" class="chartLender_name"><span class="chartLender_box"></span><span class="chartLender_span">PV</span></div>
					<div id="chartLender2" class="chartLender_name"><span class="chartLender_box"></span><span class="chartLender_span">UV</span></div>
					<div id="chartLender3" class="chartLender_name"><span class="chartLender_box"></span><span class="chartLender_span">广告曝光数</span></div>
					<div id="chartLender4" class="chartLender_name"><span class="chartLender_box"></span><span class="chartLender_span">广告填充率</span></div>
					<div id="chartLender5" class="chartLender_name"><span class="chartLender_box"></span><span class="chartLender_span">广告点击数</span></div>
					<div id="chartLender6" class="chartLender_name"><span class="chartLender_box"></span><span class="chartLender_span">广告点击率</span></div>
					<div id="chartLender7" class="chartLender_name"><span class="chartLender_box"></span><span class="chartLender_span">eCPM</span></div>
					<div id="chartLender8" class="chartLender_name"><span class="chartLender_box"></span><span class="chartLender_span">收入</span></div>
				</div>
				<table border="1" class="tableFig">
			    	<thead>
			    		<tr class="theadTr">
			            	<th class="theadTh" style="width:10%">类型</th>
			                <th class="theadTh" style="width:10%">浏览量占比(%)</th>
			                <th class="theadTh" style="width:9%">PV</th>
			                <th class="theadTh" style="width:9%">UV</th>
			                <th class="theadTh" style="width:9%">广告曝光数</th>
			                <th class="theadTh" style="width:9%">广告填充率</th>
			                <th class="theadTh" style="width:9%">广告点击数</th>
			                <th class="theadTh" style="width:9%">广告点击率</th>
			                <th class="theadTh" style="width:9%">eCPM</th>
			                <th class="theadTh" style="width:9%">收入</th>
			            </tr> 
			        </thead>
			        <tbody>
			        	<#if reportList ??>
			            <#list reportList as report>
				        <tr id="tbodyTr">
				        	<td class="tbodyTd tbodyTdLender"><#if report.device==1>网页<#else>app</#if></td> 
				        	<td class="tbodyTd">${report.viewRate!}</td> 
				            <td class="tbodyTd">${report.pv!}</td>
				            <td class="tbodyTd">${report.uv!}</td>
				            <td class="tbodyTd">${report.impression!}</td>
				            <td class="tbodyTd">${report.fillRate!}</td>
				            <td class="tbodyTd">${report.click!}</td>
				            <td class="tbodyTd">${report.clickRate!}</td>  
				            <td class="tbodyTd">${report.eCpm!}</td>
				            <td class="tbodyTd">${report.income!}</td>
				        </tr>
				        </#list>  
			        	</#if>
			    	</tbody>
		     	</table>
		        <div id="exportReport">
					<a id="exportExcel" class="btn_export" href="javascript:void(0);" onclick="exportExcel('type','${ctx}/back/main/ad/operator/operator-report/exportOtherReportExcel','back')">导出Excel</a>
				</div>
			</form>
	  	</div>        
    </div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>