<@override name="head">
<title>资质审核</title>
<script type="text/javascript" src="${ctx}/assets/js/lib/bootstrap.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/bootbox.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/common/table.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/back/auditBanner.js"></script>
</@override> 
<@override name="body">
<div id=content_bg>
	<#include "/back/main/public-head.ftl">
	<div id= "pagecontent">
		<div id="content">
			<div id="selectBar_audit" class="selectBar">
				<a href="${ctx}/back/main/audit/audit-banner">素材审核</a>
				<a class="selectBar_change" href="${ctx}/back/main/audit/audit/list">资质审核</a>
		    </div>
		    <div id="navDiv">
				<ul id="navDiv_ul">
					<li><i class="icon-home"></i></li>
					<li><a href="${ctx}/back/main/dashboard">首页</a></li>
					<li><i class="icon-angle-right"></i></li>
				    <li class="navDiv_currentLi">资质审核</li>
				</ul>  
 			</div>
 			<form id="myform" action="${ctx}/back/main/audit/audit/list" method="post">
 				<input type="hidden" id="status" name="checked" value="${checked!}"/>
	 			<div id="selectBar_statusOther" class="selectBar">
		 			<span>状态：</span>
					<a value="">全部</a>
					<a value="1">审核通过</a>
					<a value="2">审核未通过</a>
					<a value="0">未审核</a>
				</div>
				<div id="navButtons_other">
					<div id="button">					
						<a class="btn2" id="all-btn-pass">批量通过</a>
						<a class="btn2" id="all-btn-unpass">批量不通过</a>
					</div>
					<div id="searchValueDiv">
						<input type="hidden" id="page" name="page" value="${pager.page}"/>
						<input id="searchValue" type="text" name="searchValue" value="${searchValue!}" tabindex="1"/>
						<input id="serachData_img" type="submit" value=""/>
					</div>
				</div>
				<table border="1" class="tableFig">
				    <thead>
				        <tr class="theadTr">
				        	<th class="theadTh" style="width:5%;"><div class="checkboxStyleTh"></div></th>
							<th class="theadTh" style="width:20%;">广告主名称</th>
							<th class="theadTh" style="width:10%;">广告主行业</th>
							<th class="theadTh" style="width:20%;">广告主注册名</th>
							<th class="theadTh" style="width:20%;">代理商名称</th>
							<th class="theadTh" style="width:25%;">操作</th>
				        </tr>
				    </thead>
				    <tbody>
				    	<#if auditList ??>
				        <#list auditList as audit>
				        <tr id="tbodyTr">
							<td class="tbodyTd"><div class="checkboxStyleTd" id="${audit.id!}"></div></td>
							<td class="tbodyTd">${audit.name!}</td>
							<td class="tbodyTd">${audit.industryName!}</td>
							<td class="tbodyTd">${audit.regName!}</td>
							<td class="tbodyTd">${audit.agentName!}</td>
							<td class="tbodyTd">
								<div id="listButtons">
									<#if audit.checkStatus == 0>
					            	<a href='${ctx}/back/main/audit/audit/details?auditId=${audit.id!}'>未审核</a>
					            	<#elseif audit.checkStatus == 1>
					            		审核通过
					            	<#elseif audit.checkStatus == -1>
					            		审核不通过 
					            	</#if>
								</div>
							</td>
				        </tr>
					    </#list>
						</#if>	
				    </tbody>
				</table>
				<div id="exportReport">
					<a id="exportExcel" class="btn_export" href="${ctx}/back/main/audit/audit/exportDataReportExcel">导出Excel</a>
				</div>
				<div id="pageDiv">
					<#include "/common/pagination/simple.ftl"/>
				</div>
			</form>
		</div>
	</div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>