<@override name="head">	
<title>编辑账号</title>
<script type="text/javascript" src="${ctx}/assets/js/common/validate.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/back/clientAccount.js"></script>
</@override>	
<@override name="body">
<div id=content_bg>
 	<#include "/back/main/public-head.ftl"/>
	<div id= "pagecontent">
		<div id="content">
	   		<div id="navDiv">
				<ul id="navDiv_ul">
					<li><i class="icon-home"></i></li>
					<li><a href="${ctx}/back/main/dashboard">首页</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li><a href="${ctx}/back/main/client-account/list">客户账号管理</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li class="navDiv_currentLi">编辑账号</li>
				</ul>  
	 		</div>
	 		<form id="validateForm" action="${ctx}/back/main/client-account/save" method="post">
	 			<input type="hidden" name="id" id="accountId" value="${clientAccount.id!}"/>
				<input type="hidden" name="agentId" value="${clientAccount.agentId!}"/>
				<input type="hidden" name="operatorId" value="${clientAccount.operatorId!}"/>
				<input type="hidden" name="sysType" value="${clientAccount.sysType!}"/>
				<input type="hidden" name="accountName" value="${clientAccount.accountName!}"/>
	 			<div class="input-group">
					<label class="input-label"><span class="lbl-yes">*</span>账号类型：</label>
					<input class="input-radio" id="input-radio-oper" name="sysType" type="radio" value="2" <#if clientAccount.sysType==2>checked</#if> disabled/><span class="input-radio-span">媒体</span>
					<input class="input-radio" id="input-radio-adver" name="sysType" type="radio" value="3" <#if clientAccount.sysType==3>checked</#if> disabled/><span class="input-radio-span">需求方</span>
				</div>
				<div class="input-group">
					<label class="input-label"><span class="lbl-yes">*</span>账号：</label>
					<input class="input-text" tabindex="1" id="accountName" name="accountName" type="text" value="${clientAccount.accountName!}" disabled="true"/>
				</div>
				<div class="input-group" id="password-div">
					<label class="input-label"><span class="lbl-yes">*</span>密码：</label>
					<span id="password-span"><input class="input-text" tabindex="2" id="password" name="password" type="password" value="" verify="unspecial/100/0/0"  disabled="true"/></span><span class="spanVaildate"></span>
				</div>
				<div class="input-group" id="ensurePassword-div">
					<label class="input-label"><span class="lbl-yes">*</span>确认密码：</label>
					<span id="ensurePassword-span"><input class="input-text" tabindex="3" id="ensurePassword" name="ensurePassword" type="password" value="" verify="unspecial/100/0/0"  disabled="true"/></span>
					<input id="input-password-create" type="checkbox" class="input-password"><span class="input-password-span">修改密码</span>
					<span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label"><span class="lbl-yes">*</span>联系人：</label>
					<input class="input-text" tabindex="4" id="linkMan" name="linkMan" type="text" value="${clientAccount.linkMan!}" verify="unspecial/255/1/0"/><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label"><span class="lbl-yes">*</span>移动电话：</label>
					<input class="input-text" tabindex="5" id="mobilePhone" name="mobilePhone" type="text" value="${clientAccount.mobilePhone!}" verify="mobile/11/1/0"/><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label"><span class="lbl-yes">*</span>固定电话：</label>
					<input class="input-text" tabindex="6" id="tel" name="tel" type="text" value="${clientAccount.tel!}" verify="tel/12/1/0"/><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label"><span class="lbl-yes">*</span>公司名称：</label>
					<input class="input-text" tabindex="7" id="companyName" name="companyName" type="text" value="${clientAccount.companyName!}" verify="unspecial/255/1/0"/><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label"><span class="lbl-no"></span>网站：</label>
					<input class="input-text" tabindex="8" id="homePage" name="homePage" type="text" value="${clientAccount.homePage!}" verify="website/255/0/0"/><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label"><span class="lbl-no"></span>公司地址：</label>
					<input class="input-text" tabindex="9" id="address" name="address" type="text" value="${clientAccount.address!}" verify="unspecial/255/0/0"/><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label"><span class="lbl-no"></span>邮编：</label>
					<input class="input-text" tabindex="10" id="zip" name="zip" type="text" value="${clientAccount.zip!}" verify="zipcode/6/0/0"/><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label"><span class="lbl-no"></span>电子邮件：</label>
					<input class="input-text" tabindex="11" id="email" name="email" type="text" value="${clientAccount.email!}" verify="email/255/0/0"/><span class="spanVaildate"></span>
				</div>
				<#if clientAccount.sysType==2>
				<div class="input-group">
					<label class="input-label"><span class="lbl-yes">*</span>银行名称：</label>
					<input class="input-text" tabindex="12" id="bank" name="bank" type="text" value="${clientAccount.bank!}" verify="unspecial/255/1/0"/><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label"><span class="lbl-yes">*</span>开户人：</label>
					<input class="input-text" tabindex="13" id="bankAccountName" name="bankAccountName" type="text" value="${clientAccount.bankAccountName!}" verify="unspecial/255/1/0"/><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label"><span class="lbl-yes">*</span>银行账户：</label>
					<input class="input-text" tabindex="14" id="bankAccount" name="bankAccount" type="text" value="${clientAccount.bankAccount!}" verify="number/255/1/0"/><span class="spanVaildate"></span>
				</div>
				</#if>
				<#if clientAccount.sysType==3>
				<div class="input-group">
					<label class="input-label"><span class="lbl-yes">*</span>发票抬头：</label>
					<input class="input-text" tabindex="12" id="title" name="title" type="text" value="${clientAccount.title!}" verify="unspecial/255/0/0"/><span class="spanVaildate"></span>
				</div>
				</#if>
				<div class="input-group">
					<label class="input-label"><span class="lbl-yes">*</span>账号状态：</label>
					<input class="input-radio" name="status" type="radio" value="1" <#if clientAccount.status==1>checked</#if> /><span class="input-radio-span">开启</span>
					<input class="input-radio" name="status" type="radio" value="0" <#if clientAccount.status==0>checked</#if> /><span class="input-radio-span">暂停</span>
				</div>
				<div id="footBtn">
					<button class="btn-save" type="submit">保存</button>
					<button class="btn-cancel" id="btn-cancel-authority" type="button">取消</button>
				</div>
			</form>
		</div>
    </div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>