﻿<@override name="head">
<title>用户登录</title>
<link rel="stylesheet" href="${ctx}/assets/css/login.css"/>
<script type="text/javascript" src='${ctx}/assets/js/login.js'></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/bootstrap.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/bootbox.js"></script>
</@override>
<@override name="body">
<div id="login-container">
	<div id="login-logoimg"><img src="${ctx}/assets/images/datacrosslogo.png"/></div>
	<@block name="widget-box">
	<div id="login-box" class="widget-box">
		<input type="hidden" id="ctx" value="${ctx!}"/>
		<form id="loginForm" method="post" action="${ctx}/submitlogin.html">
			<label id="login-label">请输入您的信息</label>
			<div class="login-group">
				<img src="${ctx}/assets/images/email.png" title="用户名" id="login-userImg"/>
				<input type="text" class="input-text" id="username" placeholder="用户名" name="username" tabindex="1"/>
			</div>
			<div class="login-group">
				<img src="${ctx}/assets/images/key.png" title="密码" id="login-passImg"/>
				<input type="password" class="input-text" id="password" placeholder="密码" name="password" tabindex="2"/>
			</div>
			<div class="login-submit">
				<input type="button" id="login_in" class="submit" value="登录"/>
			</div>
		</form>
	</div>
	</@block>
</div>
</@override>
<@extends name="/common/simple.ftl"/>