<@override name="head">	
<title>编辑账号</title>
<script type="text/javascript" src="${ctx}/assets/js/common/validate.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/operator/authority.js"></script>
</@override>	
<@override name="body">
<div id=content_bg>
 	<#include "/operator/main/public-head.ftl"/>
	<div id= "pagecontent">
		<div id="content">
	   		<div id="navDiv">
				<ul id="navDiv_ul">
					<li><i class="icon-home"></i></li>
					<li><a href="${ctx}/operator/main/dashboard">首页</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li><a href="${ctx}/operator/main/authority/list">权限管理</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li class="navDiv_currentLi">编辑账号</li>
				</ul>  
	 		</div>
	 		<form id="validateForm" action="${ctx}/operator/main/authority/save" method="post">
	 			<input type="hidden" name="id" id="accountId" value="${account.id!}"/>
				<div class="input-group">
					<label class="input-label"><span class="lbl-yes">*</span>账号：</label>
					<input class="input-text" tabindex="1" id="accountName" name="accountName" type="text" value="${account.accountName!}" disabled="true"/>
				</div>
				<div class="input-group" id="password-div">
					<label class="input-label"><span class="lbl-yes">*</span>密码：</label>
					<span id="password-span"><input class="input-text" tabindex="2" id="password" name="password" type="password" value="" verify="unspecial/100/0/0" disabled="true"/></span><span class="spanVaildate"></span>
				</div>
				<div class="input-group" id="ensurePassword-div">
					<label class="input-label"><span class="lbl-yes">*</span>确认密码：</label>
					<span id="ensurePassword-span"><input class="input-text" tabindex="3" id="ensurePassword" name="ensurePassword" type="password" value="" verify="unspecial/100/0/0" disabled="true"/></span>
					<input id="input-password-edit" type="checkbox" class="input-password"><span class="input-password-span">修改密码</span>
					<span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label"><span class="lbl-yes">*</span>姓名：</label>
					<input class="input-text" tabindex="4" id="realName" name="realName" type="text" value="${account.realName!}" verify="unspecial/255/1/0"/><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label"><span class="lbl-yes">*</span>联系电话：</label>
					<input class="input-text" tabindex="5" id="tel" name="tel" type="text" value="${account.tel!}" verify="tel-mobile/12/1/0"/><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label"><span class="lbl-yes">*</span>账号状态：</label>
					<input class="input-radio" name="state" type="radio" value="1" <#if account.state=="1">checked</#if> /><span class="input-radio-span">开启</span>
					<input class="input-radio" name="state" type="radio" value="0" <#if account.state=="0">checked</#if> /><span class="input-radio-span">暂停</span>
				</div>
				<div class="input-group authority-edit" id="checkboxs">
					<input id="authority" name="authority" type="hidden" value="${authority!}"/>
					<label class="input-label"><span class="lbl-no"></span>权限：</label>
					<input class="input-checkbox" type="checkbox" value="151"/><span class="input-checkbox-span">广告位管理</span>
					<input class="input-checkbox" type="checkbox" value="152"/><span class="input-checkbox-span">数据报表</span>
					<input class="input-checkbox" type="checkbox" value="153"/><span class="input-checkbox-span">素材审核</span>
					<input class="input-checkbox" type="checkbox" value="154"/><span class="input-checkbox-span">财务管理</span>
					<input class="input-checkbox" type="checkbox" value="155"/><span class="input-checkbox-span">热点管理</span>
				</div>
				<div id="footBtn">
					<button class="btn-save" type="submit">保存</button>
					<button class="btn-cancel" id="btn-cancel-authority" type="button">取消</button>
				</div>
			</form>
		</div>
    </div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>