<@override name="head">	
<title>个人信息</title>
<script type="text/javascript" src="${ctx}/assets/js/common/validate.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/operator/authority.js"></script>
</@override>	
<@override name="body">
<div id=content_bg>
 	<#include "/operator/main/public-head.ftl"/>
	<div id= "pagecontent">
		<div id="content">
	   		<div id="navDiv">
				<ul id="navDiv_ul">
					<li><i class="icon-home"></i></li>
					<li><a href="${ctx}/operator/main/dashboard">首页</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li class="navDiv_currentLi">个人信息</li>
				</ul>  
	 		</div>
	 		<form id="validateForm" action="${ctx}/operator/main/authority/save" method="post">
	 			<input type="hidden" name="id" id="accountId" value="${account.id!}"/>
				<div class="input-group">
					<label class="input-label"><span class="lbl-yes">*</span>账号：</label>
					<input class="input-text" tabindex="1" id="accountName" name="accountName" type="text" value="${account.accountName!}" disabled="true"/>
				</div>
				<div class="input-group" id="password-div">
					<label class="input-label"><span class="lbl-yes">*</span>密码：</label>
					<span id="password-span"><input class="input-text" tabindex="2" id="password" name="password" type="password" value="" verify="unspecial/100/0/0" disabled="true"/></span><span class="spanVaildate"></span>
				</div>
				<div class="input-group" id="ensurePassword-div">
					<label class="input-label"><span class="lbl-yes">*</span>确认密码：</label>
					<span id="ensurePassword-span"><input class="input-text" tabindex="3" id="ensurePassword" name="ensurePassword" type="password" value="" verify="unspecial/100/0/0" disabled="true"/></span>
					<input id="input-password-edit" type="checkbox" class="input-password"><span class="input-password-span">修改密码</span>
					<span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label"><span class="lbl-yes">*</span>姓名：</label>
					<input class="input-text" tabindex="4" id="realName" name="realName" type="text" value="${account.realName!}" verify="unspecial/255/1/0"/><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label"><span class="lbl-yes">*</span>联系电话：</label>
					<input class="input-text" tabindex="5" id="tel" name="tel" type="text" value="${account.tel!}" verify="tel-mobile/12/1/0"/><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label"><span class="lbl-yes">*</span>账号状态：</label>
					<input class="input-radio" name="state" type="radio" value="1" <#if account.state=="1">checked</#if> /><span class="input-radio-span">开启</span>
					<input class="input-radio" name="state" type="radio" value="0" <#if account.state=="0">checked</#if> /><span class="input-radio-span">暂停</span>
				</div>
				<#if operator ??>
				<input type="hidden" name="operator_Id" id="operatorId" value="${operator.id}"/>
				<div class="input-group">
					<label class="input-label"><span class="lbl-yes">*</span>银行账号：</label>
					<input class="input-text" tabindex="6" id="operatoraccount" name="operatoraccount" type="text" value="${operator.account!}" verify="number/255/1/0"/><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label"><span class="lbl-yes">*</span>开户人姓名：</label>
					<input class="input-text" tabindex="7" id="operatoraccountName" name="operatoraccountName" type="text" value="${operator.accountName!}" verify="unspecial/255/1/0"/><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label"><span class="lbl-yes">*</span>开户行：</label>
					<input class="input-text" tabindex="8" id="operatorbank" name="operatorbank" type="text" value="${operator.bank!}" verify="unspecial/255/1/0"/><span class="spanVaildate"></span>
				</div>
				<#else>
					<input type="hidden" name="operator_Id" id="operatorId" value="0"/>
				</#if>
				<div id="footBtn">
					<button class="btn-save" type="submit">保存</button>
					<button class="btn-cancel" id="btn-cancel-account" type="button">取消</button>
				</div>
			</form>
		</div>
    </div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>